## Apache Zeta Components Manual :: Docs For Class ezcTemplateTypeHintException

### Template::ezcTemplateTypeHintException

### Class ezcTemplateTypeHintException

Exception for problems in parser element code.

Instantiate the exception with one of the class constants, e.g.:

1. thrownewezcTemplateTstNodeException(ezcTemplateTstNodeException::NO_FIRST_CHILD);

Source for this file: /Template/src/exceptions/typehint_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcTemplateException
             |
             --ezcTemplateTypeHintException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcTemplateTypeHintException | `__construct( )` This exception should be caught, and rethrown. The message is not important.

### Inherited Methods

From ezcTemplateException
public ezcTemplateException | `ezcTemplateException::__construct()` Constructs a new ezcTemplateException with error message $message.
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcTemplateTypeHintException __construct( )

This exception should be caught, and rethrown. The message is not important.

##### Redefinition of:

Method | Description
--- | ---
`ezcTemplateException::__construct()` | Constructs a new ezcTemplateException with error message $message.

Documentation generated by phpDocumentor 1.4.3